Delete multiple entities
POST/v1/blueprints/:blueprint_identifier/bulk/entities/delete
This route allows you to delete multiple entities (up to 100 entities per request) from a specific blueprint in your software catalog. All entities must belong to the same blueprint.
If any identifier is missing, the entire operation fails with 404 and nothing is deleted. If any entity has required dependents and delete_dependents is false, the entire operation fails with 403 and nothing is deleted.
Pass allow_partial_success=true to skip missing identifiers and entities with required dependents, delete the rest, and return 207 Multi-Status with errors for the skipped identifiers. If nothing could be deleted, the request still fails with 404 (all missing) or 403 (all have required dependents).
Pass delete_dependents=true to delete required dependents together with the requested entities.
To learn more about entities, check out the documentation.
Request
Responses
- 200
- 207
- 401
- 404
- 413
- 422
Entities deleted successfully.
Partially deleted successfully. Some entities were deleted while others failed.
Default Response
A resource with the provided identifier was not found
Request body is too large (limit is 1MiB)
The json provided does not match the route's schema